# class Tk::BLT::PlotComponent::Postscript

### Constants

PostscriptID_TBL

### Public Class Methods

new(chart, keys={}) click to toggle source

    # File lib/tkextlib/blt/component.rb, line 1129
    def self.new(chart, keys={})
      obj = nil
      PostscriptID_TBL.mutex.synchronize{
        unless (obj = PostscriptID_TBL[chart.path])
          (obj = self.allocate).instance_eval{
            @parent = @chart = chart
            @cpath = @chart.path
            @path = @id = 'postscript'
            Postscript::PostscriptID_TBL[@cpath] = self
          }
        end
      }
      chart.postscript_configure(keys) if obj && ! keys.empty?
      obj
    end

new(chart, keys={}) click to toggle source

    # File lib/tkextlib/blt/component.rb, line 1145
    def initialize(chart, keys={})
      # dummy:: not called by 'new' method

      @parent = @chart = chart
      @cpath = @chart.path
      # Postscript::PostscriptID_TBL[@cpath] = self
      @chart.postscript_configure(keys) unless keys.empty?
      @path = @id = 'postscript'
    end

### Public Instance Methods

cget(option) click to toggle source

    # File lib/tkextlib/blt/component.rb, line 1166
    def cget(option)
      @chart.postscript_cget(option)
    end

cget_strict(option) click to toggle source

    # File lib/tkextlib/blt/component.rb, line 1169
    def cget_strict(option)
      @chart.postscript_cget_strict(option)
    end

cget_tkstring(option) click to toggle source

    # File lib/tkextlib/blt/component.rb, line 1163
    def cget_tkstring(option)
      @chart.postscript_cget_tkstring(option)
    end

configinfo(key=nil) click to toggle source

    # File lib/tkextlib/blt/component.rb, line 1176
    def configinfo(key=nil)
      @chart.postscript_configinfo(key)
    end

configure(key, value=None) click to toggle source

    # File lib/tkextlib/blt/component.rb, line 1172
    def configure(key, value=None)
      @chart.postscript_configure(key, value)
      self
    end

current_configinfo(key=nil) click to toggle source

    # File lib/tkextlib/blt/component.rb, line 1179
    def current_configinfo(key=nil)
      @chart.current_postscript_configinfo(key)
    end

id() click to toggle source

    # File lib/tkextlib/blt/component.rb, line 1155
    def id
      @id
    end

output(file=nil, keys={}) click to toggle source

    # File lib/tkextlib/blt/component.rb, line 1183
    def output(file=nil, keys={})
      if file.kind_of?(Hash)
        keys = file
        file = nil
      end

      ret = @chart.postscript_output(file, keys)

      if file
        self
      else
        ret
      end
    end

to_eval() click to toggle source

    # File lib/tkextlib/blt/component.rb, line 1159
    def to_eval
      @id
    end